Python2 or python3

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Python2 or python3

pelm
Hi there!
I'm about to upgrade, or try the new Gramps 4.1 now that it has reached 4.1.1. I am a little confused though about the two python versions of the debs. Which is the best to use, the python2 or 3 version? I'm on a Ubuntu 14.04 stock system.

Regards
Reply | Threaded
Open this post in threaded view
|

Re: Python2 or python3

Peter Merchant
On 25/10/14 12:38, pelm wrote:

> Hi there!
> I'm about to upgrade, or try the new Gramps 4.1 now that it has reached
> 4.1.1. I am a little confused though about the two python versions of the
> debs. Which is the best to use, the python2 or 3 version? I'm on a Ubuntu
> 14.04 stock system.
>
> Regards
>
>
>
> --
> View this message in context: http://gramps.1791082.n4.nabble.com/Python2-or-python3-tp4667661.html
> Sent from the GRAMPS - User mailing list archive at Nabble.com.
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>
Open a terminal window and type python. It will tell you your version. I
am using kubuntu 14.04 and it says python 2.7.

Peter M.


------------------------------------------------------------------------------
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Python2 or python3

Paul Franklin-5
In reply to this post by pelm
As Peter says, usually you do not have a choice.

Use the one which goes with the Python your system
routinely provides you.

That said, historically speaking there have been more
Python2 users than Python3 users (as Python3 only
started being supported in 4.0.0), and as a result there
may be more hidden lurking Python3 bugs than hidden
lurking Python2 bugs.

------------------------------------------------------------------------------
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Python2 or python3

pelm
Thanks for the answers, i later realized that Ubuntu 14.04 defaults to Python 2. And i installed the Python2 deb. It's is working great!

Regards